Bug 170408 - [exp-run] gmake bug fix parallel build
Summary: [exp-run] gmake bug fix parallel build
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Koop Mast
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-08-06 08:30 UTC by Koop Mast
Modified: 2012-08-21 19:01 UTC (History)
0 users

See Also:


Attachments
gmake-parallel.diff (2.60 KB, patch)
2012-08-06 08:30 UTC, Koop Mast
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Koop Mast freebsd_committer 2012-08-06 08:30:12 UTC
	Requesting a gmake exp run to test a patch that fixes some parallel build
	issue, and doesn't break anything else.

	Background: webkit 1.8 exposes a bug in gmake -j support. the patch
	was lifted from a 2 year old gmake bug. Ade gave already the go ahead
	since the may be more wide-ranging then just webkit, and would be useful
	if we put parallel building on by default.
Comment 1 Koop Mast freebsd_committer 2012-08-06 08:35:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->portmgr

over to portmgr
Comment 2 Beat Gaetzi freebsd_committer 2012-08-12 10:54:24 UTC
Responsible Changed
From-To: portmgr->beat

Take for exp-run.
Comment 3 Beat Gaetzi freebsd_committer 2012-08-14 08:42:08 UTC
Responsible Changed
From-To: beat->kwm

Exp-run is finished. No problems occured during the build. 

If you like you can review the error logs too: 
http://pointyhat.freebsd.org/errorlogs/amd64-9-exp-latest/
Comment 4 dfilter service freebsd_committer 2012-08-21 18:59:53 UTC
Author: kwm
Date: Tue Aug 21 17:59:42 2012
New Revision: 302882
URL: http://svn.freebsd.org/changeset/ports/302882

Log:
  Add a patch from upstream bugtracker to fix some jobs related build failures
  exposed by webkit-gtk2 1.8.x.
  
  PR:		ports/170408
  Exp-run by:	beat@
  Approved by:	autotools@ (ade)
  Obtained from:	gmake bugtracker http://savannah.gnu.org/bugs/?30653

Added:
  head/devel/gmake/files/patch-remake.c   (contents, props changed)
Modified:
  head/devel/gmake/Makefile

Modified: head/devel/gmake/Makefile
==============================================================================
--- head/devel/gmake/Makefile	Tue Aug 21 17:39:36 2012	(r302881)
+++ head/devel/gmake/Makefile	Tue Aug 21 17:59:42 2012	(r302882)
@@ -7,6 +7,7 @@
 
 PORTNAME=	gmake
 PORTVERSION=	3.82
+PORTREVISION=	1
 CATEGORIES=	devel
 MASTER_SITES=	${MASTER_SITE_GNU}
 MASTER_SITE_SUBDIR=	make

Added: head/devel/gmake/files/patch-remake.c
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/gmake/files/patch-remake.c	Tue Aug 21 17:59:42 2012	(r302882)
@@ -0,0 +1,59 @@
+Fix parallel builds. One port that exhibits this issue is webkit-gtk >= 1.8.
+
+http://savannah.gnu.org/bugs/?30653
+
+Index: remake.c
+===================================================================
+RCS file: /sources/make/make/remake.c,v
+retrieving revision 1.147
+diff -u -r1.147 remake.c
+--- remake.c	13 Jul 2010 01:20:42 -0000	1.147
++++ remake.c	5 Aug 2010 01:02:18 -0000
+@@ -614,6 +614,12 @@
+                 d->file->dontcare = file->dontcare;
+               }
+ 
++	    /* We may have already encountered this file earlier in the same
++	     * pass before we knew we'd be updating this target. In that 
++	     * case calling update_file now would result in the file being 
++	     * inappropriately pruned so we toggle the considered bit back 
++	     * off first. */
++            d->file->considered = !considered;
+ 
+ 	    dep_status |= update_file (d->file, depth);
+ 
+Index: tests/scripts/features/parallelism
+===================================================================
+RCS file: /sources/make/make/tests/scripts/features/parallelism,v
+retrieving revision 1.16
+diff -u -r1.16 parallelism
+--- tests/scripts/features/parallelism	5 Jul 2010 18:32:03 -0000	1.16
++++ tests/scripts/features/parallelism	5 Aug 2010 01:02:18 -0000
+@@ -164,6 +164,27 @@
+ 
+ rmfiles('inc.mk');
+ 
++utouch(-15, 'file2');
++utouch(-10, 'file4');
++utouch(-5,  'file1');
++
++run_make_test(q!
++.INTERMEDIATE: file3
++
++file4: file3
++	@mv -f $< $@
++
++file3: file2
++	@touch $@
++
++file2: file1
++	@touch $@
++!,
++              '--no-print-directory -j2');
++
++rmfiles('file1', 'file2', 'file3', 'file4');
++
++
+ if ($all_tests) {
+     # Implicit files aren't properly recreated during parallel builds
+     # Savannah bug #26864
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 Koop Mast freebsd_committer 2012-08-21 19:01:43 UTC
State Changed
From-To: open->closed

Committed